Summary: A drag and drop print manager.
Name: OffiX-Printer
Version: 2.4d
Release: 8
Group: Applications/Productivity
Copyright: GPL
Source: ftp://ftp.leb.net/pub/offix/Printer-2.4d.tar.gz
Source1: offix-printer.desktop
Patch: Printer-2.4-Xaw3d.patch
BuildRoot: /var/tmp/OffiX-Printer
Requires: lpr

%description
OffiX-Printer is an X Window System based print manager with OffiX
drag and drop capabilities.

%prep
%setup -q -n Printer-%{version}
%patch -p1

%build
./configure --prefix=/usr/X11R6 --with-dnd-inc=/usr/X11R6/include/X11 --with-dnd-lib=/usr/X11R6/lib
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
install -c -m 644 src/Printer.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Printer
strip $RPM_BUILD_ROOT/usr/X11R6/bin/printer
cat << EOF > $RPM_BUILD_ROOT/usr/X11R6/bin/printer.sh
#!/bin/bash
# make sure we can find lpc
export PATH=\$PATH:/usr/sbin
exec printer
EOF
chmod 775 $RPM_BUILD_ROOT/usr/X11R6/bin/printer.sh

install -d $RPM_BUILD_ROOT/etc/X11/applnk/Applications/
install -m 644 -o root -g root $RPM_SOURCE_DIR/offix-printer.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Applications/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README THANKS
%config /usr/X11R6/lib/X11/app-defaults/Printer
/usr/X11R6/bin/printer
/usr/X11R6/bin/printer.sh
/usr/X11R6/man/man1/printer.1
/etc/X11/applnk/Applications/offix-printer.desktop

%changelog
* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Mon Jun 28 1999 Tim Powers <timp@redhat.com>
- removed exlusivearch line in spec to build for sparc, perhaps it will work
- rebuilt package for powertools 6.1

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- built package
- updated spec file

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- added desktop

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged contrib package and tweaked it a bit
